| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
NAND Mode Controls
NAND Control Codes

Specify operation modes of the NAND interface. More...

## Macros

#define | ARM_NAND_BUS_MODE (0x01)
| Set Bus Mode as specified with arg.
#define | ARM_NAND_BUS_DATA_WIDTH (0x02)
| Set Bus Data Width as specified with arg.
#define | ARM_NAND_DRIVER_STRENGTH (0x03)
| Set Driver Strength as specified with arg.
#define | ARM_NAND_DEVICE_READY_EVENT (0x04)
| Generate ARM_NAND_EVENT_DEVICE_READY; arg: 0=disabled (default), 1=enabled.
#define | ARM_NAND_DRIVER_READY_EVENT (0x05)
| Generate ARM_NAND_EVENT_DRIVER_READY; arg: 0=disabled (default), 1=enabled.

## Description

Specify operation modes of the NAND interface.

These controls can be used in the function ARM_NAND_Control for the parameter control.

## Macro Definition Documentation

#define ARM_NAND_BUS_DATA_WIDTH (0x02)

Set Bus Data Width as specified with arg.

#define ARM_NAND_BUS_MODE (0x01)

Set Bus Mode as specified with arg.

#define ARM_NAND_DEVICE_READY_EVENT (0x04)

Generate ARM_NAND_EVENT_DEVICE_READY; arg: 0=disabled (default), 1=enabled.

#define ARM_NAND_DRIVER_READY_EVENT (0x05)

Generate ARM_NAND_EVENT_DRIVER_READY; arg: 0=disabled (default), 1=enabled.

#define ARM_NAND_DRIVER_STRENGTH (0x03)

Set Driver Strength as specified with arg.